Bug 477984 - Short horizontal jumps of the mouse cursor
Short horizontal jumps of the mouse cursor
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-evdev (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-12-26 17:45 EST by Audrius Meskauskas
Modified: 2009-11-05 18:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-11-05 18:07:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Audrius Meskauskas 2008-12-26 17:45:36 EST
Description of problem
The mouse cursor performs short horizontal jumps (left to right). The jumps are balanced (the mouse position does not drift over longer time) and seem having totally random character in time. The jump forward is quite quickly (parts of seconds) followed by the jump back.

The is the easiest to see when watching the mouse cursor at the boot time, when it is still in the form of the spinning wheel.

The bug appeared after update at Dec 27, 2008
Comment 1 Matthias Clasen 2008-12-26 20:56:03 EST
Why do you think this is related to the mousetweaks package ?
Comment 2 Audrius Meskauskas 2008-12-27 09:41:52 EST
I was not sure. If not, please reassign to the package that is relevant.
Comment 3 Matěj Cepl 2009-01-19 18:44:47 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf (if you have one) whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Peter Hutterer 2009-01-19 19:18:04 EST
Please download http://people.freedesktop.org/~whot/evtest.c, compile it with "gcc -o evtest evtest.c" and then run it as root with "./evtest /dev/input/eventX" where X is the number for the device. You can get the number by looking at /proc/bus/input/devices. Leave evtest running without moving the mouse, and CTRL+C it after such a jump occurred. Then attach the output of evtest here.

This should tell us whether the mouse is flaky or whether it's an X server problem.
Comment 5 Bug Zapper 2009-06-09 06:31:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 6 Matěj Cepl 2009-06-25 11:44:59 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 7 Matěj Cepl 2009-11-05 13:21:17 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Note You need to log in before you can comment on or make changes to this bug.